import { Tree } from '@angular-devkit/schematics';
import { addPackage } from './package-config';

// eslint-disable-next-line @typescript-eslint/no-var-requires
const VERSION = require('../package.json').version;

/** Add dependencies to package.json */
export function addKeyPkgsToPackageJson(host: Tree) {
  addPackage(host, '@angular/cdk@^17.3.1');
  addPackage(host, 'parse5@^7.1.2', 'dev');
  addPackage(host, `ng-matero@~${VERSION}`);
}

/** Add dependencies to package.json */
export function add3rdPkgsToPackageJson(host: Tree) {
  addPackage(host, '@angular/material@^17.3.1');
  addPackage(host, '@angular/material-moment-adapter@^17.3.1');

  // 3rd lib
  addPackage(host, '@ng-matero/extensions@^17.2.1');
  addPackage(host, '@ng-matero/extensions-moment-adapter@^17.1.2');
  addPackage(host, '@ngx-formly/core@^6.2.0');
  addPackage(host, '@ngx-formly/material@^6.2.0');
  addPackage(host, '@ngx-translate/core@^15.0.0');
  addPackage(host, '@ngx-translate/http-loader@^8.0.0');
  addPackage(host, 'moment@^2.30.0');
  addPackage(host, 'ngx-permissions@^17.1.0');
  addPackage(host, 'ngx-progressbar@^11.1.0');
  addPackage(host, 'ngx-toastr@^18.0.0');
  addPackage(host, 'photoviewer@^3.10.0');
  addPackage(host, 'screenfull@^6.0.2');

  // Dev
  addPackage(host, '@angular-eslint/builder@^17.3.0', 'dev');
  addPackage(host, '@angular-eslint/eslint-plugin@^17.3.0', 'dev');
  addPackage(host, '@angular-eslint/eslint-plugin-template@^17.3.0', 'dev');
  addPackage(host, '@angular-eslint/schematics@^17.3.0', 'dev');
  addPackage(host, '@angular-eslint/builder@0.0.0-PLACEHOLDER', 'dev');
  addPackage(host, '@angular-eslint/template-parser@^17.3.0', 'dev');
  addPackage(host, '@typescript-eslint/eslint-plugin@^7.3.0', 'dev');
  addPackage(host, '@typescript-eslint/parser@^7.3.0', 'dev');
  addPackage(host, 'eslint@^8.57.0', 'dev');
  addPackage(host, 'prettier@^3.2.4', 'dev');
  addPackage(host, 'stylelint@^16.2.0', 'dev');
  addPackage(host, 'stylelint-config-recess-order@^5.0.0', 'dev');
  addPackage(host, 'stylelint-config-recommended-scss@^14.0.0', 'dev');
  addPackage(host, 'stylelint-config-standard@^36.0.0', 'dev');
}
